#include <iostream>

using namespace std;


int main()
{
    char a, b;
    int ai, bi;

    cin >> a >> b;
    cin >> ai >> bi;
    //cout << a << b << ai << bi;
    if (abs(ai-bi)>1)
    {
        cout << "nemoze";
    }
    else
    {
        if (ai > bi)
        {
            for (int i = 0; i < bi; i++)
            {
                cout << a;
                cout << b;
            }
            cout << a;
        }
        else if (ai < bi)
        {
            for (int i = 0; i < ai; i++)
            {
                cout << b;
                cout << a;
            }
            cout << b;
        }
        else
        {
            for (int i = 0; i < ai; i++)
            {
                cout << a;
                cout << b;
            }
        }
    }
}